- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Namespaces | Functions
logmessage.hpp File Reference
`#include <qi/log.hpp>`
`#include <qi/anyobject.hpp>`
`#include <qi/clock.hpp>`
`#include <tuple>`

Go to the source code of this file.

## Classes
struct | qi::LogMessage

## Namespaces
| qi
| qi::detail
| qi::detail::name

## Functions
const char * | qi::detail::name::LogMessage_timestamp ()
const char * | qi::detail::name::LogMessage_systemDate ()
const char * | qi::detail::name::LogMessage_date ()
bool | toOld (std::map< std::string,::qi::AnyValue > &fields, const std::vector< std::tuple< std::string, qi::TypeInterface * >> &missing, const std::map< std::string,::qi::AnyReference > &dropfields)
bool | fromOld (std::map< std::string,::qi::AnyValue > &fields, const std::vector< std::tuple< std::string, qi::TypeInterface * >> &missing, const std::map< std::string,::qi::AnyReference > &dropfields)
| QI_TYPE_STRUCT_EXTENSION_CONVERT_HANDLERS (::qi::LogMessage, fromOld, toOld)
| QI_TYPE_STRUCT (::qi::LogMessage, source, level, category, location, message, id, date, systemDate)

## Function Documentation

bool fromOld | ( | std::map< std::string,::qi::AnyValue > & | fields,
|  | const std::vector< std::tuple< std::string, qi::TypeInterface * >> & | missing,
|  | const std::map< std::string,::qi::AnyReference > & | dropfields
| ) |  |
| inline

Definition at line 78 of file logmessage.hpp.

QI_TYPE_STRUCT | ( | ::qi::LogMessage | ,
|  | source | ,
|  | level | ,
|  | category | ,
|  | location | ,
|  | message | ,
|  | id | ,
|  | date | ,
|  | systemDate |
| ) |  |

QI_TYPE_STRUCT_EXTENSION_CONVERT_HANDLERS | ( | ::qi::LogMessage | ,
|  | fromOld | ,
|  | toOld |
| ) |  |

bool toOld | ( | std::map< std::string,::qi::AnyValue > & | fields,
|  | const std::vector< std::tuple< std::string, qi::TypeInterface * >> & | missing,
|  | const std::map< std::string,::qi::AnyReference > & | dropfields
| ) |  |
| inline

Definition at line 49 of file logmessage.hpp.